Bug 329116 - Connot apply transform tool to a Group Layer anymore
Summary: Connot apply transform tool to a Group Layer anymore
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-22 11:32 UTC by Dmitry Kazakov
Modified: 2013-12-28 14:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-12-22 11:32:52 UTC
After recent changes it seems it asks for an editable paint device on a node, but Group Layer doesn't have one.
Comment 1 Dmitry Kazakov 2013-12-22 11:33:31 UTC
related to bug 320954
Comment 2 Dmitry Kazakov 2013-12-24 08:56:58 UTC
Git commit 212b79a0a64df80b8e778e3404491497ef4b8670 by Dmitry Kazakov.
Committed on 24/12/2013 at 08:30.
Pushed by dkazakov into branch 'master'.

Properly fix the transform tool not to process locked layers

Since the lockness of a node may change during the stroke, we now store
the list of to be processed nodes explicitly.

M  +1    -1    krita/image/kis_image.cc
M  +43   -35   krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +20   -1    krita/plugins/tools/tool_transform2/kis_tool_transform.h

http://commits.kde.org/calligra/212b79a0a64df80b8e778e3404491497ef4b8670
Comment 3 Dmitry Kazakov 2013-12-28 14:58:20 UTC
Git commit 451a50533020a91e77b7656eba41e3fce8d6a96b by Dmitry Kazakov.
Committed on 24/12/2013 at 08:30.
Pushed by dkazakov into branch 'calligra/2.8'.

Properly fix the transform tool not to process locked layers

Since the lockness of a node may change during the stroke, we now store
the list of to be processed nodes explicitly.

M  +1    -1    krita/image/kis_image.cc
M  +43   -35   krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +20   -1    krita/plugins/tools/tool_transform2/kis_tool_transform.h

http://commits.kde.org/calligra/451a50533020a91e77b7656eba41e3fce8d6a96b